{"swagger":"2.0","info":{"contact":{"email":"sta@nttdata.com","name":"STA"},"description":"API per anonimitzar documents","title":"3670 Anonimitzador","version":"2.0.0","x-ibm-name":"3670-anonimitzador"},"basePath":"/3670/anonimitzador","paths":{"/analytics/metrics/usage":{"get":{"produces":["application/json"],"parameters":[{"collectionFormat":"multi","description":"User ID","in":"query","items":{"format":"int32","type":"integer"},"name":"userId","required":false,"type":"array","x-example":[1]},{"collectionFormat":"multi","description":"User email","in":"query","items":{"type":"string"},"name":"email","required":false,"type":"array","x-example":["user@example.com"]},{"collectionFormat":"multi","description":"Type of document","in":"query","items":{"enum":["pdf","PDF","doc","DOC","docx","DOCX","xls","XLS","xlsx","XLSX","ppt","PPT","pptx","PPTX","txt","TXT","jpeg","JPEG","jpg","JPG","png","PNG","tiff","TIFF","tif","TIF","msg","MSG"],"type":"string"},"name":"documentType","required":false,"type":"array","x-example":["pdf"]},{"description":"Start date with ISO format","format":"date-time","in":"query","name":"startDate","required":false,"type":"string","x-example":"2022-01-01T00:00:00.000Z"},{"description":"End date with ISO format","format":"date-time","in":"query","name":"endDate","required":false,"type":"string","x-example":"2022-02-01T00:00:00.000Z"},{"collectionFormat":"multi","description":"Process type","in":"query","items":{"enum":["DOCUMENTS_SYNCH","DOCUMENTS_BATCH","DOCUMENT_REVERT","DB","DB_REVERT"],"type":"string"},"name":"processType","required":false,"type":"array","x-example":["DOCUMENTS_SYNCH"]},{"collectionFormat":"multi","description":"Mode of anonymization","in":"query","items":{"enum":["ANON_MASKING","ANON_TOKEN","ANON_SYNTH","PSEUDO_MASKING","PSEUDO_TOKENIZATION","PSEUDO_SYNTH"],"type":"string"},"name":"mode","required":false,"type":"array","x-example":["ANON_MASKING"]},{"description":"Offset of pagination. For this value to take effect, parameter limit must be non null","format":"int32","in":"query","name":"offset","required":false,"type":"integer","x-example":10},{"description":"Limit of pagination. For this value to take effect, parameter offset must be non null","format":"int32","in":"query","name":"limit","required":false,"type":"integer","x-example":10}],"responses":{"200":{"description":"List of usage metrics matching the filter criteria.","schema":{"items":{"$ref":"#/definitions/UsageResponseDto"},"type":"array"}},"400":{"description":"Invalid filter parameters, e.g., startDate after endDate or unauthorized userId.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Access denied due to insufficient permissions or invalid license.","schema":{"type":"object"}},"404":{"description":"Resource Not Found","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"405":{"description":"HTTP Request Method Not Supported","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"406":{"description":"HTTP Request MediaType Not Acceptable","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"415":{"description":"HTTP Request MediaType Not Supported","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"500":{"description":"General Error","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"503":{"description":"HTTP Request Timeout","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Usage Metrics and Analytics"],"description":"**License required:** Metrics Usage.\n\n**Role level:** Admin.\n\nReturns a list of anonymized resources (documents, databases, or plain text), along with detailed information about the type of processing applied, the anonymization mode used, the selected options, and the data associated with the resource.\n\nThe information can be obtained without filters (complete list of records) or filtered using optional query parameters  such as user IDs and date ranges.","operationId":"usage","summary":"Retrieve usage metrics data"}},"/analyzer/analyze":{"post":{"consumes":["application/json"],"produces":["application/json"],"parameters":[{"description":"Database connection information for the database to analyze","in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/AnalyzeRequestDTO"}}],"responses":{"200":{"description":"Database successfully analyzed","examples":{"application/json":{"name":"db_test","tables":{"simulated_data":{"columns":{"identifier":{"name":"identifier","primaryKey":false,"size":2,"type":"int4"},"name":{"name":"name","primaryKey":true,"size":3,"type":"varchar"}},"name":"simulated_data","pk":true}}}},"schema":{"$ref":"#/definitions/SchemeDTO","description":"Analyzed database information"}},"400":{"description":"Could not connect to the database","schema":{"$ref":"#/definitions/NymizDBExceptionResponse"}},"401":{"description":"Not authorized (user not logged in)","schema":{"$ref":"#/definitions/NymizDBExceptionResponse"}}},"security":[{"Bearer":[]}],"tags":["Relational Database Anonymization"],"description":"**License required**: DB license.","operationId":"analyze","summary":"The first (and optional) step for database anonymization and pseudonymization. Allows you to analyze the database to identify tables and columns."}},"/anonymizer/anonymize":{"post":{"consumes":["application/json"],"produces":["application/json"],"parameters":[{"description":"Specifies the mode of anonymization that will be used.\n\n- ANON_MASKING: Anonymization by masking/blacklining.\n- ANON_TOKEN: Anonymization by tokenization/classification (\"PER\", \"DAT\", \"PHO\", etc.).\n- ANON_RAND: Pseudonymization (reversible process) by randomness.\n- PSEUDO_TOKENIZATION: Pseudonymization (reversible process) by tokenization (\"PER\", \"DAT\", \"PHO\", etc.).\n- PSEUDO_RAND: Pseudonymization (reversible process) by randomness.","enum":["PSEUDO_TOKENIZATION","PSEUDO_RAND","ANON_TOKEN","ANON_RAND","ANON_MASKING"],"in":"query","name":"type","required":true,"type":"string"},{"description":"Main object containing the settings for database anonymization","in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/AnonymizeRequest"}}],"responses":{"200":{"description":"Anonymized database"},"400":{"description":"Could not connect to the database or Invalid type","schema":{"$ref":"#/definitions/NymizDBExceptionResponse"}},"401":{"description":"Not authorized (user not logged in)","schema":{"$ref":"#/definitions/NymizDBExceptionResponse"}},"402":{"description":"Invalid license","schema":{"$ref":"#/definitions/NymizDBExceptionResponse"}},"422":{"description":"Not enough Mb left to anonymize content or request could not be processed","schema":{"$ref":"#/definitions/NymizDBExceptionResponse"}}},"security":[{"Bearer":[]}],"tags":["Relational Database Anonymization"],"description":"**License required**: DB license.","operationId":"anonymizer","summary":"Anonymize tables in database"}},"/anonymizer/anonymize/revert":{"post":{"consumes":["application/json"],"produces":["application/json"],"parameters":[{"description":"Main object containing the settings for database reversion","in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/RevertRequest"}}],"responses":{"200":{"description":"Reverted database"},"400":{"description":"Could not connect to the database","schema":{"$ref":"#/definitions/NymizDBExceptionResponse"}},"401":{"description":"Not authorized (user not logged in)","schema":{"$ref":"#/definitions/NymizDBExceptionResponse"}},"402":{"description":"Invalid license","schema":{"$ref":"#/definitions/NymizDBExceptionResponse"}},"422":{"description":"Not enough Mb left to anonymize content or request could not be processed","schema":{"$ref":"#/definitions/NymizDBExceptionResponse"}}},"security":[{"Bearer":[]}],"tags":["Relational Database Anonymization"],"description":"**License required**: DB license.","operationId":"anonymizerRevert","summary":"Revert database"}},"/anonymizer/anonymize/revert/column":{"post":{"consumes":["application/json"],"produces":["application/json"],"parameters":[{"description":"Main object containing the settings for database reversion","in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/RevertColumnRequest"}}],"responses":{"200":{"description":"Reverted database column","schema":{"$ref":"#/definitions/RevertSingleColumnResponseDTO"}},"400":{"description":"Could not connect to the database","schema":{"$ref":"#/definitions/NymizDBExceptionResponse"}},"401":{"description":"Not authorized (user not logged in)","schema":{"$ref":"#/definitions/NymizDBExceptionResponse"}},"402":{"description":"Invalid license","schema":{"$ref":"#/definitions/NymizDBExceptionResponse"}},"404":{"description":"Cypher text not found in specified table and column","schema":{"$ref":"#/definitions/NymizDBExceptionResponse"}},"422":{"description":"Not enough Mb left to anonymize content or request could not be processed","schema":{"$ref":"#/definitions/NymizDBExceptionResponse"}}},"security":[{"Bearer":[]}],"tags":["Relational Database Anonymization"],"description":"**License required**: DB license.","operationId":"anonymizerRevertSingleColumn","summary":"Revert database column"}},"/auth/signin":{"post":{"consumes":["application/json"],"produces":["application/json"],"parameters":[{"description":"User access data","in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/SignInRequest"}}],"responses":{"200":{"description":"Successful operation. JWT returned.","schema":{"$ref":"#/definitions/SignInResponse"}},"400":{"description":"Invalid field or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"tags":["Authentication"],"description":"All public API operations are secure. To use the features offered, you must first obtain an authentication token.","operationId":"signin","summary":"Sign In to get JWT token."}},"/batch/cancelprocess":{"post":{"consumes":["multipart/form-data"],"produces":["application/json","text/plain"],"parameters":[{"description":"Batch identifier","in":"formData","name":"key","required":true,"type":"string"}],"responses":{"200":{"description":"Batch process canceled"},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"402":{"description":"Payment required.","schema":{"example":"Invalid license","type":"string"}},"403":{"description":"License is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"500":{"description":"Internal Server Error","schema":{"example":"Error canceling the batch process","type":"string"}}},"security":[{"Bearer":[]}],"tags":["Batch Processing"],"description":"**Role level:** User.","operationId":"cancelProcess","summary":"Cancel running batch process"}},"/batch/data-egress":{"post":{"consumes":["application/json"],"produces":["application/json"],"parameters":[{"description":"Batch process Id and data egress settings","in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/DataEgressBatchRequest"}}],"responses":{"200":{"description":"Batch process started"},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"License is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Data Egress Batch Processing"],"description":"**License required**: Data Egress license.","operationId":"startDataEgressBatch","summary":"Start batch processing"}},"/batch/data-egress/download-file":{"post":{"consumes":["application/json"],"produces":["application/octet-stream","application/json"],"parameters":[{"description":"Batch process Id and name of the document you want to download, including the extension","in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/BatchDownloadFileResultRequest"}}],"responses":{"200":{"description":"Requested file from batch process"},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"License is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Data Egress Batch Processing"],"description":"**License required**: Data Egress license.","operationId":"downloadEgressFileFromBatch","summary":"Download file from batch process"}},"/batch/data-egress/download-zip/{key}":{"get":{"produces":["application/octet-stream","application/json"],"parameters":[{"description":"Batch process Id","format":"int64","in":"path","name":"key","required":true,"type":"integer","x-example":1719}],"responses":{"200":{"description":"Zip file containing all files from batch process"},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"License is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Data Egress Batch Processing"],"description":"**License required**: Data Egress license.","operationId":"downloadEgressZipFromBatch","summary":"Download all batch process files in a zip file"}},"/batch/delete/file":{"post":{"consumes":["multipart/form-data"],"produces":["application/json","text/plain"],"parameters":[{"description":"Identifier of the file inside the batch","in":"formData","name":"batchFileId","required":true,"type":"string"}],"responses":{"200":{"description":"Batch file deleted"},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"402":{"description":"Payment required.","schema":{"example":"Invalid license","type":"string"}},"403":{"description":"License is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"500":{"description":"Internal Server Error","schema":{"example":"Error deleting document from batch process","type":"string"}}},"security":[{"Bearer":[]}],"tags":["Batch Processing"],"description":"**Role level:** User.","operationId":"fileDelete","summary":"Delete batch processed file"}},"/batch/download":{"get":{"produces":["application/octet-stream","application/json","text/plain"],"parameters":[{"description":"Batch ID of the batch to which the document belongs","format":"int64","in":"query","name":"key","required":true,"type":"integer","x-example":12345},{"description":"Name of the document you want to download, including the extension","in":"query","name":"filename","required":true,"type":"string","x-example":"filename.pdf"}],"responses":{"200":{"description":"Anonymized document downloaded"},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"402":{"description":"Payment required.","schema":{"example":"Invalid license","type":"string"}},"403":{"description":"License is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"500":{"description":"Internal Server Error","schema":{"example":"Error downloading file from S3","type":"string"}}},"security":[{"Bearer":[]}],"tags":["Batch Processing"],"description":"**Role level:** User.","operationId":"download","summary":"Download file from bucket"}},"/batch/downloadZip/{key}":{"get":{"produces":["application/zip","application/json","text/plain"],"parameters":[{"description":"Batch identifier","format":"int64","in":"path","name":"key","required":true,"type":"integer","x-example":12345}],"responses":{"200":{"description":"Download zip with anonymized files"},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"402":{"description":"Payment required.","schema":{"example":"Invalid license","type":"string"}},"403":{"description":"License is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"500":{"description":"Internal Server Error","schema":{"example":"Error downloading file from S3","type":"string"}}},"security":[{"Bearer":[]}],"tags":["Batch Processing"],"description":"**Role level:** User.","operationId":"downloadZip","summary":"Download zip file from bucket"}},"/batch/files":{"post":{"consumes":["multipart/form-data"],"produces":["application/json;charset=UTF-8","application/json","text/plain"],"parameters":[{"description":"Batch processing ID","in":"formData","name":"key","required":true,"type":"string"},{"description":"Maximum number of elements you want to obtain from the offset","in":"formData","name":"limit","required":true,"type":"string"},{"description":"Index from which to start listing the elements","in":"formData","name":"offset","required":true,"type":"string"}],"responses":{"200":{"description":"File list obtained","schema":{"items":{"$ref":"#/definitions/FileListResponse"},"type":"array"}},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"402":{"description":"Payment required.","schema":{"example":"Invalid license","type":"string"}},"403":{"description":"License is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"500":{"description":"Internal Server Error","schema":{"example":"Error getting file list from bucket","type":"string"}}},"security":[{"Bearer":[]}],"tags":["Batch Processing"],"description":"**Role level:** User.","operationId":"getFileList","summary":"Get file list from bucket"}},"/batch/initprocess":{"put":{"consumes":["multipart/form-data"],"produces":["application/json","text/plain"],"parameters":[{"description":"Batch process description","in":"formData","name":"batch_description","required":true,"type":"string"},{"description":"Input bucket configuration name","in":"formData","name":"bucket_configuration_input","required":true,"type":"string"},{"description":"Output bucket configuration name","in":"formData","name":"bucket_configuration_output","required":true,"type":"string"}],"responses":{"200":{"description":"Process initialized"},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"402":{"description":"Payment required.","schema":{"example":"Invalid license","type":"string"}},"403":{"description":"License is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"500":{"description":"Internal Server Error","schema":{"example":"Error initializing the batch process","type":"string"}}},"security":[{"Bearer":[]}],"tags":["Batch Processing"],"description":"**Role level:** User.","operationId":"initProcess","summary":"Initialize batch process."}},"/batch/startprocess":{"post":{"consumes":["multipart/form-data"],"produces":["application/json","text/plain"],"parameters":[{"in":"formData","name":"key","type":"string"},{"in":"formData","name":"config","required":true,"type":"object"}],"responses":{"200":{"description":"Process started"},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"402":{"description":"Payment required.","schema":{"example":"Invalid license","type":"string"}},"403":{"description":"License is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"422":{"description":"Unprocessable entity","schema":{"example":"Does not have enough mb","type":"string"}},"500":{"description":"Internal Server Error","schema":{"example":"Error starting the batch process","type":"string"}}},"security":[{"Bearer":[]}],"tags":["Batch Processing"],"description":"**Role level:** User.","operationId":"startProcess","summary":"Start batch process"}},"/batch/status":{"get":{"produces":["application/json;charset=UTF-8","application/json","text/plain"],"parameters":[],"responses":{"200":{"description":"Queue status obtained","schema":{"items":{"$ref":"#/definitions/BatchProcessStatusResponse"},"type":"array"}},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"402":{"description":"Payment required.","schema":{"example":"Invalid license","type":"string"}},"403":{"description":"License is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"500":{"description":"Internal Server Error","schema":{"example":"Error getting queue status","type":"string"}}},"security":[{"Bearer":[]}],"tags":["Batch Processing"],"description":"**Role level:** User.","operationId":"getBatchProcessStatus","summary":"Get Queue status"}},"/batch/supervision/finished":{"post":{"consumes":["multipart/form-data"],"produces":["application/json","text/plain"],"parameters":[{"description":"Supervision Finished boolean value","in":"formData","name":"isSupervisionFinished","required":true,"type":"boolean"},{"description":"Process Detail ID","format":"int64","in":"formData","name":"batchProcessDetailId","required":true,"type":"integer"}],"responses":{"200":{"description":"Manual supervision finished status set."},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"402":{"description":"Payment required.","schema":{"example":"Invalid license","type":"string"}},"403":{"description":"License is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"500":{"description":"Internal Server Error","schema":{"example":"Error setting batch process finished status","type":"string"}}},"security":[{"Bearer":[]}],"tags":["Batch Processing"],"description":"**Role level:** User.","operationId":"finishBatchSupervision","summary":"Sets the manual supervision finished status of a batch process."}},"/batch/upload":{"post":{"consumes":["multipart/form-data"],"produces":["application/json;charset=UTF-8","application/json","text/plain"],"parameters":[{"in":"formData","name":"key","type":"string"},{"format":"binary","in":"formData","name":"file","required":true,"type":"string"},{"in":"formData","name":"subfolder","type":"string"}],"responses":{"200":{"description":"Batch data uploaded","schema":{"$ref":"#/definitions/UploadBatchResponse"}},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"402":{"description":"Payment required.","schema":{"example":"Invalid license","type":"string"}},"403":{"description":"License is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"415":{"description":"Unsupported Media Type.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"422":{"description":"Unprocessable entity","schema":{"example":"Does not have enough mb","type":"string"}},"500":{"description":"Internal Server Error","schema":{"example":"Error uploading document","type":"string"}}},"security":[{"Bearer":[]}],"tags":["Batch Processing"],"description":"**Role level:** User.\n\n **Supported media types:** application/vnd.openxmlformats-officedocument.wordprocessingml.document, application/msword, application/vnd.openxmlformats-officedocument.presentationml.presentation, application/vnd.ms-powerpoint, application/vnd.ms-outlook, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel, image/tiff, application/pdf, text/plain, image/jpeg, image/png","operationId":"upload","summary":"Upload file or folder to batch processing"}},"/config/infotypes":{"get":{"produces":["application/json"],"parameters":[],"responses":{"200":{"description":"Returns the list of typologies associated to the client","schema":{"items":{"$ref":"#/definitions/TypologyResponse"},"type":"array"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Infotypes Management"],"description":"Returns the list of available typologies associated to the client","operationId":"showPrivateInfoTypes","summary":"List infotypes"}},"/data-egress/doc":{"post":{"consumes":["multipart/form-data"],"produces":["application/json"],"parameters":[{"in":"formData","name":"config","required":true,"type":"object"},{"format":"binary","in":"formData","name":"file","required":true,"type":"string"}],"responses":{"200":{"description":"Sensitive data detected.","schema":{"$ref":"#/definitions/DataEgressResponse"}},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"License is required.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"422":{"description":"Document unprocessable","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Data Egress"],"description":"**License required:** Data Egress\n\n **Other licenses may be required:** Sensitive Profile Detection and Profile Detection.\n\n  **Role level:** User.\n\n **Supported media types:** application/vnd.openxmlformats-officedocument.wordprocessingml.document, application/msword, application/vnd.openxmlformats-officedocument.presentationml.presentation, application/vnd.ms-powerpoint, application/vnd.ms-outlook, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel, image/tiff, application/pdf, text/plain, image/jpeg, application/json, image/png.\n\n Please set document's content-type and attach application/json as the config's content-type.","operationId":"getDataEgressFromDocs","summary":"Retrieve sensitive data from a given document"}},"/data-egress/text":{"post":{"consumes":["application/json"],"produces":["application/json"],"parameters":[{"description":"File and egress configuration process","in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/DataEgressTextRequest","type":"object"}}],"responses":{"200":{"description":"Sensitive data detected.","schema":{"$ref":"#/definitions/DataEgressResponse"}},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"License is required.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Data Egress"],"description":"**License required:** Data Egress\n\n **Other licenses may be required:** Sensitive Profile Detection and Profile Detection.\n\n **Role level:** User.","operationId":"getDataEgressFromPlainText","summary":"Retrieve sensitive data from a given plain text."}},"/doc":{"post":{"consumes":["multipart/form-data"],"produces":["application/octet-stream","application/json"],"parameters":[{"in":"formData","name":"config","required":true,"type":"object"},{"format":"binary","in":"formData","name":"file","required":true,"type":"string"}],"responses":{"200":{"description":"Document anonymized.","schema":{"format":"binary","type":"object"}},"400":{"description":"Invalid body or field is missing or not enough available MB","schema":{"$ref":"#/definitions/NymizExceptionResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"License is required.","schema":{"$ref":"#/definitions/NymizExceptionResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"406":{"description":"Pseudo-anonymization was not performed because the file has already been processed. If you wish to repeat the process, please rename the file.","schema":{"$ref":"#/definitions/NymizExceptionResponse"}},"415":{"description":"Unsupported Media Type.","schema":{"$ref":"#/definitions/NymizExceptionResponse"}},"422":{"description":"Document unprocessable","schema":{"$ref":"#/definitions/NymizExceptionResponse"}}},"security":[{"Bearer":[]}],"tags":["Document Anonymization"],"description":"**Licenses may be required:** QR and Barcodes, Signature, Sensitive Profile Detection, Profile Detection.\n\n  **Role level:** User.\n\n **Supported media types:** application/vnd.openxmlformats-officedocument.wordprocessingml.document, application/msword, application/vnd.openxmlformats-officedocument.presentationml.presentation, application/vnd.ms-powerpoint, application/vnd.ms-outlook, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel, image/tiff, application/pdf, text/plain, image/jpeg, image/png.\n\n Please set document's content-type and attach application/json as the config's content-type.","operationId":"anonymizationDoc","summary":"Anonymize a document"}},"/json":{"post":{"consumes":["multipart/form-data"],"produces":["application/octet-stream","application/json"],"parameters":[{"in":"formData","name":"config","required":true,"type":"object"},{"format":"binary","in":"formData","name":"file","required":true,"type":"string"}],"responses":{"200":{"description":"Json file anonymized.","schema":{"format":"binary","type":"object"}},"400":{"description":"Invalid body or field is missing or not enough available MB","schema":{"$ref":"#/definitions/NymizExceptionResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"License is required.","schema":{"$ref":"#/definitions/NymizExceptionResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"415":{"description":"Unsupported Media Type.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"422":{"description":"Document unprocessable","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["JSON Anonymization"],"description":"**License:** JSON Detection. \n\n  **Role level:** User.","operationId":"anonymizationJson","summary":"Anonymize json file"}},"/revert/doc":{"post":{"consumes":["multipart/form-data"],"produces":["application/octet-stream","application/json"],"parameters":[{"in":"formData","name":"config","required":true,"type":"object"},{"format":"binary","in":"formData","name":"file","required":true,"type":"string"}],"responses":{"200":{"description":"Document with reversed anonymization.","schema":{"format":"binary","type":"object"}},"400":{"description":"Invalid body or field is missing or not enough available MB","schema":{"$ref":"#/definitions/NymizExceptionResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"License is required.","schema":{"$ref":"#/definitions/NymizExceptionResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"415":{"description":"Unsupported Media Type.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"422":{"description":"Document unprocessable","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Document Anonymization"],"description":"**License:** Pseudonymization. \n\n  **Role level:** User.","operationId":"revertDoc","summary":"Revert anonymization of a document."}},"/revert/text":{"post":{"consumes":["multipart/form-data"],"produces":["application/octet-stream","application/json"],"parameters":[{"in":"formData","name":"config","required":true,"type":"object"},{"in":"formData","name":"nameFile","type":"string"},{"in":"formData","name":"text","type":"string"}],"responses":{"200":{"description":"Text with reversed anonymization.","schema":{"type":"string"}},"400":{"description":"Invalid body or field is missing or not enough available MB","schema":{"$ref":"#/definitions/NymizExceptionResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"License is required.","schema":{"$ref":"#/definitions/NymizExceptionResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"415":{"description":"Unsupported Media Type.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"422":{"description":"Document unprocessable","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Text Anonymization"],"description":"**License:** Pseudonymization. \n\n  **Role level:** User.","operationId":"revertText","summary":"Revert anonymization of plain text."}},"/team/addManager/{id}":{"post":{"consumes":["application/json"],"produces":["application/octet-stream","application/json"],"parameters":[{"description":"Identifier of the team to which you want to add the manager.","format":"int32","in":"path","name":"id","required":true,"type":"integer","x-example":1},{"description":"Manager id to add","in":"body","name":"body","required":true,"schema":{"description":"Manager id.","example":1,"format":"int32","type":"integer"}}],"responses":{"200":{"description":"Successful operation. Manager added to Team.","schema":{"$ref":"#/definitions/TeamDto"}},"400":{"description":"Team not found or user already in team.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Operation prohibited for the authenticated user's role or license is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User or team not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Teams Management"],"description":"**License required:** Team Management. \n\n **Role level:** Administrator.","operationId":"addManagerToTeam","summary":"Add a new manager to the team."}},"/team/addUser/{id}":{"post":{"consumes":["application/json"],"produces":["application/octet-stream","application/json"],"parameters":[{"description":"Identifier of the team to which you want to add the user.","format":"int32","in":"path","name":"id","required":true,"type":"integer","x-example":1},{"description":"User id to add","in":"body","name":"body","required":true,"schema":{"description":"User id.","example":1,"format":"int32","type":"integer"}}],"responses":{"200":{"description":"Successful operation. User added to Team.","schema":{"$ref":"#/definitions/TeamDto"}},"400":{"description":"Team not found or user already in team.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Operation prohibited for the authenticated user's role or license is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User or team not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Teams Management"],"description":"**License required:** Team Management. \n\n **Role level:** Manager.","operationId":"addUserToTeam","summary":"Add a new member to the team."}},"/team/create":{"post":{"consumes":["application/json"],"produces":["application/octet-stream","application/json"],"parameters":[{"description":"Team to create","in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/TeamRequestDto"}}],"responses":{"201":{"description":"Successful operation. Created Team returned.","schema":{"$ref":"#/definitions/TeamDto"}},"400":{"description":"Invalid field or field is missing or team not found or user not assignable or team already exists.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Operation prohibited for the authenticated user's role or license is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User or team not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Teams Management"],"description":"**License required:** Team Management. \n\n **Role level:** Administrator.","operationId":"createTeam","summary":"Create a new Team."}},"/team/delete/{id}":{"delete":{"produces":["application/json"],"parameters":[{"description":"Team id to delete.","format":"int32","in":"path","name":"id","required":true,"type":"integer","x-example":1}],"responses":{"204":{"description":"Successful operation. Teams deleted."},"400":{"description":"Team not found","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Operation prohibited for the authenticated user's role or license is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User or team not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Teams Management"],"description":"**License required:** Team Management. \n\n **Role level:** Administrator.","operationId":"deleteTeam","summary":"Delete a Team."}},"/team/deleteManager/{id}":{"delete":{"consumes":["application/json"],"produces":["application/json"],"parameters":[{"description":"Identifier of the team to which you want to add the manager.","format":"int32","in":"path","name":"id","required":true,"type":"integer","x-example":1},{"description":"Manager id to delete","in":"body","name":"body","required":true,"schema":{"description":"Manager id.","example":1,"format":"int32","type":"integer"}}],"responses":{"204":{"description":"Successful operation. Manager deleted from Team."},"400":{"description":"Team not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Operation prohibited for the authenticated user's role or license is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User or team not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Teams Management"],"description":"**License required:** Team Management. \n\n **Role level:** Administrator.","operationId":"deleteManagerFromTeam","summary":"Delete a manager from existing team."}},"/team/deleteUser/{id}":{"delete":{"consumes":["application/json"],"produces":["application/json"],"parameters":[{"description":"Identifier of the team to which you want to add the user.","format":"int32","in":"path","name":"id","required":true,"type":"integer","x-example":1},{"description":"User id to delete","in":"body","name":"body","required":true,"schema":{"description":"User id.","example":1,"format":"int32","type":"integer"}}],"responses":{"204":{"description":"Successful operation. User deleted from Team."},"400":{"description":"Team not found","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Operation prohibited for the authenticated user's role or license is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User or team not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Teams Management"],"description":"**License required:** Team Management. \n\n **Role level:** Manager.","operationId":"deleteUserFromTeam","summary":"Delete a member from existing team."}},"/team/edit/{id}":{"put":{"consumes":["application/json"],"produces":["application/octet-stream","application/json"],"parameters":[{"description":"Team id.","format":"int32","in":"path","name":"id","required":true,"type":"integer","x-example":1},{"description":"Team to edit","in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/TeamRequestDto"}}],"responses":{"200":{"description":"Successful operation. Team edited.","schema":{"$ref":"#/definitions/TeamDto"}},"400":{"description":"Invalid field or field is missing or team not found or user not assignable or team already exists or manager has no permission to edit thisteam.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Operation prohibited for the authenticated user's role or license is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User or team not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Teams Management"],"description":"**License required:** Team Management. \n\n **Role level:** Manager.","operationId":"editTeam","summary":"Modification of the members and/or managers of a team."}},"/team/management":{"get":{"produces":["application/octet-stream","application/json"],"parameters":[],"responses":{"200":{"description":"Successful operation. Managed Teams returned.","schema":{"items":{"$ref":"#/definitions/TeamDto"},"type":"array"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Operation prohibited for the authenticated user's role or license is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User or team not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Teams Management"],"description":"**License required:** Team Management. \n\n **Role level:** Manager.","operationId":"getTeamsManagement","summary":"List of teams for which the user making the request is a manager."}},"/team/membership":{"get":{"produces":["application/octet-stream","application/json"],"parameters":[],"responses":{"200":{"description":"Successful operation. Membership Teams returned.","schema":{"items":{"$ref":"#/definitions/TeamDto"},"type":"array"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Operation prohibited for the authenticated user's role or license is required","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User or team not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Teams Management"],"description":"**License required:** Team Management. \n\n **Role level:** User.","operationId":"getTeamsMembership","summary":"List of teams of which the requesting user is a member."}},"/text":{"post":{"consumes":["multipart/form-data"],"produces":["application/octet-stream","application/json"],"parameters":[{"in":"formData","name":"config","required":true,"type":"object"},{"in":"formData","name":"nameFile","type":"string"},{"in":"formData","name":"text","required":true,"type":"string"}],"responses":{"200":{"description":"Text anonymized.","schema":{"format":"binary","type":"object"}},"400":{"description":"Invalid body or field is missing or not enough available MB","schema":{"$ref":"#/definitions/NymizExceptionResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"License is required.","schema":{"$ref":"#/definitions/NymizExceptionResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Text Anonymization"],"description":"**Licenses may be required:** QR and Barcodes, Signature, Sensitive Profile Detection, Profile Detection.\n\n  **Role level:** User.","operationId":"anonymizationText","summary":"Anonymize plain text"}},"/url-viewer":{"post":{"consumes":["multipart/form-data"],"produces":["application/octet-stream","application/json"],"parameters":[{"in":"formData","name":"config","required":true,"type":"object"},{"format":"binary","in":"formData","name":"file","required":true,"type":"string"}],"responses":{"200":{"description":"Manual supervision embedded viewer URL.","schema":{"description":"Embedded viewer URL.","example":"http://localhost:4200/viewer/?uuid=395d9c-c3f1-4c5b-b9b4-a9b3e7c9b3e7&t=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiYWRtaW4iOnRydWUsImlhdCI6MTUxNjIzOTAyMn0.KMUFsIDTnFmyG3nMiGM6H9FNFUROf3wh7SmqJp-QV30&lang=es-ES","type":"string"}},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"License is required.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"415":{"description":"Unsupported Media Type.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"422":{"description":"Unprocessable document.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Manual Supervision"],"description":"**Role level:** User.\n\n**Supported media types:**application/pdf.\n\nAnonymize and retrieve the URL of the supervision manual for a document processed synchronously.","operationId":"urlEmbeddedViewer","summary":"Anonymize and retrieve the URL of the supervision manual"}},"/url-viewer-async":{"post":{"consumes":["application/json"],"produces":["application/octet-stream","application/json"],"parameters":[{"description":"Manual supervision embedded viewer request ","in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/ManualSupervisionEmbeddedAsyncRequest","type":"object"}}],"responses":{"200":{"description":"Manual supervision embedded viewer URL.","schema":{"description":"Embedded viewer URL.","example":"http://localhost:4200/viewer/?uuid=395d9c-c3f1-4c5b-b9b4-a9b3e7c9b3e7&t=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiYWRtaW4iOnRydWUsImlhdCI6MTUxNjIzOTAyMn0.KMUFsIDTnFmyG3nMiGM6H9FNFUROf3wh7SmqJp-QV30&lang=es-ES","type":"string"}},"400":{"description":"Invalid body or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"License is required.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Manual Supervision"],"description":"**Role level:** User.\n\nGet the URL of the supervision manual for a document processed asynchronously.","operationId":"urlEmbeddedViewer_1","summary":"Get the URL of the supervision manual (processed asynchronously)"}},"/users":{"get":{"produces":["application/json"],"parameters":[],"responses":{"200":{"description":"Users returned.","schema":{"items":{"$ref":"#/definitions/UserDto"},"type":"array"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Operation prohibited for the authenticated user's role","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Users Management"],"description":"**Role level:** Manager.","operationId":"getUsers","summary":"List of users within the customer of the authenticated manager/administrator."},"post":{"consumes":["application/json"],"produces":["application/json"],"parameters":[{"description":"User to create","in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/UserCreateDto"}}],"responses":{"201":{"description":"User created","schema":{"$ref":"#/definitions/UserDto"}},"400":{"description":"Invalid field or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Operation prohibited for the authenticated user's role","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Users Management"],"description":"**Role level:** Manager.\n\n Managers can only create users with the user or manager role in their client. Administrators can create users with any role in their client.\n\n **Federated authentication is not supported**.","operationId":"addUser","summary":"Create a new user."}},"/users/{id}":{"delete":{"produces":["application/json"],"parameters":[{"description":"User id.","format":"int32","in":"path","name":"id","required":true,"type":"integer","x-example":1}],"responses":{"204":{"description":"User deleted"},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Operation prohibited for the authenticated user's role","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"409":{"description":"Conflict: Administrators and managers cannot perform actions on themselves, including deletion, access revocation, or modification of their information through user management","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Users Management"],"description":"**Role level:** Manager.\n\n Managers/administrators cannot delete themselves. Managers can only delete users with the user or manager role in their client. Administrators can delete users with any role in their client.\n\n **Not supported for federated authentication**.","operationId":"deleteUser","summary":"Permanently delete a user."},"get":{"produces":["application/json"],"parameters":[{"description":"User id.","format":"int32","in":"path","name":"id","required":true,"type":"integer","x-example":1}],"responses":{"200":{"description":"User detail.","schema":{"$ref":"#/definitions/UserDto"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Operation prohibited for the authenticated user's role","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Users Management"],"description":"**Role level:** User.\n\n If you have a manager/administrator role, you can view any user within your customer account. If you have a user role, you can only view your own details.","operationId":"getUser","summary":"Get an user by id within a customer."},"put":{"consumes":["application/json"],"produces":["application/json"],"parameters":[{"description":"User id.","format":"int32","in":"path","name":"id","required":true,"type":"integer","x-example":1},{"description":"User data to update","in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/UserUpdateDto"}}],"responses":{"200":{"description":"User edited","schema":{"$ref":"#/definitions/UserDto"}},"400":{"description":"Invalid field or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Operation prohibited for the authenticated user's role","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"409":{"description":"Conflict: Administrators and managers cannot perform actions on themselves, including deletion, access revocation, or modification of their information through user management","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Users Management"],"description":"**Role level:** Manager.\n\n Managers/administrators cannot modify their own information. Managers can only modify users with the user or manager role in their client. Administrators can modify users of any role in their client.\n\n **Not compatible with federated authentication**.","operationId":"editUser","summary":"Modify a user."}},"/users/{id}/access":{"put":{"consumes":["application/json"],"produces":["application/json"],"parameters":[{"description":"User id.","format":"int32","in":"path","name":"id","required":true,"type":"integer","x-example":1},{"description":"Access value to update","in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/AccessRequestDto"}}],"responses":{"200":{"description":"User access has been changed","schema":{"$ref":"#/definitions/UserDto"}},"400":{"description":"Invalid field or field is missing.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Operation prohibited for the authenticated user's role","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"409":{"description":"Conflict: Administrators and managers cannot perform actions on themselves, including deletion, access revocation, or modification of their information through user management","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Users Management"],"description":"**Role level:** Manager.\n\n Managers/administrators cannot modify their access property. Managers can only modify the access property for users with the user or manager role in their client. Administrators can modify the access property for users with any role in their client.\n\n **Not compatible with federated authentication**.","operationId":"activeUser","summary":"Change a user's access."}},"/users/{id}/password":{"put":{"consumes":["application/json"],"produces":["application/octet-stream","application/json"],"parameters":[{"description":"User id.","format":"int32","in":"path","name":"id","required":true,"type":"integer","x-example":1},{"description":"user password to update","in":"body","name":"body","required":true,"schema":{"$ref":"#/definitions/PasswordUpdateDto"}}],"responses":{"200":{"description":"User password has been changed","schema":{"type":"object"}},"401":{"description":"User unauthorized.","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"403":{"description":"Operation prohibited for the authenticated user's role","schema":{"$ref":"#/definitions/ApiErrorResponse"}},"404":{"description":"User not found.","schema":{"$ref":"#/definitions/ApiErrorResponse"}}},"security":[{"Bearer":[]}],"tags":["Users Management"],"description":"**Role level:** Manager.\n\n Managers/administrators cannot change their password. Managers can only change the password for users with the user or manager role in their client. Administrators can change the password for users with any role in their client.\n\n **Not compatible with federated authentication**.","operationId":"changeUserPassword","summary":"Change a user's password."}}},"definitions":{"AccessRequestDto":{"properties":{"access":{"description":"Access value to update","example":true,"type":"boolean"}},"type":"object"},"AnalyzeRequestDTO":{"properties":{"dataBaseName":{"description":"The data base name","example":"db_ledger","type":"string"},"ip":{"description":"IP or domain to connect to the database.","example":"db.example.com","type":"string"},"jdbcUrl":{"type":"string"},"password":{"description":"Database connection password","example":"ABC123","type":"string"},"port":{"description":"The database port","example":"5432","type":"string"},"schema":{"description":"Target schema in the database","example":"public","type":"string"},"type":{"description":"The database type or engine. Accepted values: \"postgresql\", \"mysql\", \"sqlserver\", \"db2\", \"oracle\"","example":"postgresql","type":"string"},"userId":{"description":"Database connection user name","example":"johndoe","type":"string"}},"required":["dataBaseName","password","userId"],"type":"object"},"AnonymizationConfigDocumentRequest":{"properties":{"blacklist":{"description":"List of negative exceptions, words that will be protected (anonymized or pseudonymized) regardless of whether they are detected as personal data.","example":["work","live"],"items":{"type":"string"},"type":"array"},"excluded_entities":{"description":"List of infotypes to exclude from anonymization. Please refer to the infotypes endpoint '/config/infotypes'.","example":["PER","LOC"],"items":{"type":"string"},"type":"array"},"language":{"description":"Language used internally to adapt status or error messages.","example":"es-ES","type":"string"},"options":{"additionalProperties":{"type":"boolean"},"description":"Map of flags to activate various document processing tools\n\n- **forceNLPCellByCell**:\n    - **Summary**: Enables or disables the cell-by-cell analysis option.\n    - **Compatible mimetypes**:\n\t\t- application/vnd.ms-excel\n\t\t- application/vnd.openxmlformats-officedocument.spreadsheetml.sheet\n    - **Description**: Optional. Accepts boolean values.\n        - false: A limited number of fields will be analyzed in each column and determines the infotype based on the analyzed samples. All cells in the column and their contents are anonymized.\n        - true: Each cell will be analyzed for information to anonymize. It only anonymizes words it deems appropriate.\n- **skipHeaderRow**:\n    - **Summary**: Avoid anonymizing the first line, which is usually reserved for column names.\n    - **Compatible mimetypes**:\n\t\t- application/vnd.ms-excel\n\t\t- application/vnd.openxmlformats-officedocument.spreadsheetml.sheet\n    - **Description**: Optional. Accepts boolean values.\n- **partialMasking**:\n    - **Summary**: Enables or disables partial masking anonymization mode, following AEPD guidelines.\n    - **Compatible mimetypes**:\n\t\t- application/vnd.ms-excel\n\t\t- application/vnd.openxmlformats-officedocument.spreadsheetml.sheet\n\t\t- application/msword\n\t\t- application/vnd.openxmlformats-officedocument.wordprocessingml.document\n\t\t- application/vnd.ms-powerpoint\n\t\t- application/vnd.openxmlformats-officedocument.presentationml.presentation\n\t\t- application/vnd.ms-outlook\n\t\t- application/pdf\n\t\t- image/tiff\n\t\t- image/jpeg\n\t\t- image/png\n\t\t- text/plain\n    - **Description**: Optional. Accepts boolean values. Option compatible with mode **ANON_MASKING** and **PSEUDO_MASKING**.\n- **ocrPremium**:\n    - **Summary**: Enables or disables OCR premium to extract content from tables and layouts.\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **Description**: Optional. Accepts boolean values.\n        - false: content from tables and layouts is extracted as paragraphs.\n        - true: the OCR explicitly extracts content from tables and layouts.\n- **qr**:\n    - **Summary**: Enables or disables QR code detection and anonymization.\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **License required**: QR and Barcodes License.\n    - **Description**: Optional. Accepts boolean values.\n    - **Caution**: Anonymization will always be done with a strikethrough, and this action cannot be reversed.\n- **barcode**:\n    - **Summary**: Enables or disables barcode detection and anonymization.\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **License required**: QR and Barcodes License.\n    - **Description**: Optional. Accepts boolean values.\n    - **Caution**: Anonymization will always be done with a strikethrough, and this action cannot be reversed.\n- **holographicSignature**:\n    - **Summary**: Enables or disables the detection and anonymization of handwritten signatures.\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **License required**: Signature License\n    - **Description**: Optional. Accepts boolean values.\n    - **Caution**: Anonymization will always be done with a strikethrough, and this action cannot be reversed.\n- **removeSigns**:\n    - **Summary**: Enables or disables digital signature detection and anonymization.\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **Description**: Optional. Accepts boolean values.\n    - **Caution**: Anonymization will always be done with a strikethrough, and this action cannot be reversed.\n- **manualSupervision**:\n    - **Summary**: Enables or disables manual review of the document once the process is complete.\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **Description**: Optional. Accepts boolean values.\n- **sensitiveProfileDetection**:\n    - **Summary**: Enables or disables the detection of sensitive profiles in court records (accused and accuser, for example).\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **License required**: Sensitive Profile Detection License\n    - **Description**: Optional. Accepts boolean values.\n    - **Caution**: Option incompatible with **profileDetection**.\n- **profileDetection**:\n    - **Summary**: Enables or disables the detection of legal profiles (lawyers and attorneys).\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **License required**: Sensitive Profile Detection License\n    - **Description**: Optional. Accepts boolean values.\n    - **Caution**: Option incompatible with **sensitiveProfileDetection**.\n","example":{"barcode":false,"forceNLPCellByCell":false,"holographicSignature":false,"manualSupervision":false,"ocrPremium":false,"partialMasking":false,"profileDetection":false,"qr":false,"removeSigns":false,"sensitiveProfileDetection":false,"skipHeaderRow":false},"type":"object"},"procedure":{"$ref":"#/definitions/AnonymizationDocumentProcedure","description":"Anonymization procedure."},"whitelist":{"description":"List of positive exceptions, words that will NOT be protected (anonymized or pseudonymized) even if they are detected as personal data.","example":["John","Doe"],"items":{"type":"string"},"type":"array"}},"type":"object"},"AnonymizationConfigJsonRequest":{"properties":{"blacklist":{"description":"List of negative exceptions, words that will be protected (anonymized or pseudonymized) regardless of whether they are detected as personal data.","example":["work","live"],"items":{"type":"string"},"type":"array"},"excluded_entities":{"description":"List of infotypes to exclude from anonymization. Please refer to the infotypes endpoint '/config/infotypes'.","example":["PER","LOC"],"items":{"type":"string"},"type":"array"},"jsonpath":{"description":"    Paths that determine the elements to be anonymized within the JSON structure. The path can designate:\n\n        - A specific element within the main structure of the file\n        - All elements of a type within the main file structure\n        - A complete or partial substructure within the main structure\n\n","example":["$.name"],"items":{"type":"string"},"type":"array"},"language":{"description":"Language used internally to adapt status or error messages.","example":"es-ES","type":"string"},"procedure":{"$ref":"#/definitions/AnonymizationJsonProcedure","description":"Anonymization procedure."},"whitelist":{"description":"List of positive exceptions, words that will NOT be protected (anonymized or pseudonymized) even if they are detected as personal data.","example":["John","Doe"],"items":{"type":"string"},"type":"array"}},"type":"object"},"AnonymizationConfigManualSupervisionRequest":{"properties":{"blacklist":{"description":"List of negative exceptions, words that will be protected (anonymized or pseudonymized) regardless of whether they are detected as personal data.","example":["work","live"],"items":{"type":"string"},"type":"array"},"excluded_entities":{"description":"List of infotypes to exclude from anonymization. Please refer to the infotypes endpoint '/config/infotypes'.","example":["PER","LOC"],"items":{"type":"string"},"type":"array"},"language":{"description":"Language used internally to adapt status or error messages.","example":"es-ES","type":"string"},"options":{"additionalProperties":{"type":"boolean"},"description":"Map of flags to activate various document processing tools\n- **partialMasking**:\n    - **Summary**: Enables or disables partial masking anonymization mode, following AEPD guidelines.\n    - **Compatible mimetypes**:\n\t\t- application/vnd.ms-excel\n\t\t- application/vnd.openxmlformats-officedocument.spreadsheetml.sheet\n\t\t- application/msword\n\t\t- application/vnd.openxmlformats-officedocument.wordprocessingml.document\n\t\t- application/vnd.ms-powerpoint\n\t\t- application/vnd.openxmlformats-officedocument.presentationml.presentation\n\t\t- application/vnd.ms-outlook\n\t\t- application/pdf\n\t\t- image/tiff\n\t\t- image/jpeg\n\t\t- image/png\n\t\t- text/plain\n    - **Description**: Optional. Accepts boolean values. Option compatible with mode **ANON_MASKING** and **PSEUDO_MASKING**.\n- **ocrPremium**:\n    - **Summary**: Enables or disables OCR premium to extract content from tables and layouts.\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **Description**: Optional. Accepts boolean values.\n        - false: content from tables and layouts is extracted as paragraphs.\n        - true: the OCR explicitly extracts content from tables and layouts.\n- **qr**:\n    - **Summary**: Enables or disables QR code detection and anonymization.\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **License required**: QR and Barcodes License.\n    - **Description**: Optional. Accepts boolean values.\n    - **Caution**: Anonymization will always be done with a strikethrough, and this action cannot be reversed.\n- **barcode**:\n    - **Summary**: Enables or disables barcode detection and anonymization.\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **License required**: QR and Barcodes License.\n    - **Description**: Optional. Accepts boolean values.\n    - **Caution**: Anonymization will always be done with a strikethrough, and this action cannot be reversed.\n- **holographicSignature**:\n    - **Summary**: Enables or disables the detection and anonymization of handwritten signatures.\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **License required**: Signature License\n    - **Description**: Optional. Accepts boolean values.\n    - **Caution**: Anonymization will always be done with a strikethrough, and this action cannot be reversed.\n- **removeSigns**:\n    - **Summary**: Enables or disables digital signature detection and anonymization.\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **Description**: Optional. Accepts boolean values.\n    - **Caution**: Anonymization will always be done with a strikethrough, and this action cannot be reversed.\n- **sensitiveProfileDetection**:\n    - **Summary**: Enables or disables the detection of sensitive profiles in court records (accused and accuser, for example).\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **License required**: Sensitive Profile Detection License\n    - **Description**: Optional. Accepts boolean values.\n    - **Caution**: Option incompatible with **profileDetection**.\n- **profileDetection**:\n    - **Summary**: Enables or disables the detection of legal profiles (lawyers and attorneys).\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **License required**: Sensitive Profile Detection License\n    - **Description**: Optional. Accepts boolean values.\n    - **Caution**: Option incompatible with **sensitiveProfileDetection**.\n","example":{"barcode":false,"forceNLPCellByCell":false,"holographicSignature":false,"ocrPremium":false,"partialMasking":false,"profileDetection":false,"qr":false,"removeSigns":false,"sensitiveProfileDetection":false,"skipHeaderRow":false},"type":"object"},"procedure":{"$ref":"#/definitions/AnonymizationDocumentProcedure","description":"Anonymization procedure."},"whitelist":{"description":"List of positive exceptions, words that will NOT be protected (anonymized or pseudonymized) even if they are detected as personal data.","example":["John","Doe"],"items":{"type":"string"},"type":"array"}},"type":"object"},"AnonymizationConfigTextRequest":{"properties":{"blacklist":{"description":"List of negative exceptions, words that will be protected (anonymized or pseudonymized) regardless of whether they are detected as personal data.","example":["work","live"],"items":{"type":"string"},"type":"array"},"excluded_entities":{"description":"List of infotypes to exclude from anonymization. Please refer to the infotypes endpoint '/config/infotypes'.","example":["PER","LOC"],"items":{"type":"string"},"type":"array"},"language":{"description":"Language used internally to adapt status or error messages.","example":"es-ES","type":"string"},"options":{"additionalProperties":{"type":"boolean"},"description":"Map of flags to activate various document processing tools\n- **sensitiveProfileDetection**:\n    - **Summary**: Enables or disables the detection of sensitive profiles in court records (accused and accuser, for example).\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **License required**: Sensitive Profile Detection License\n    - **Description**: Optional. Accepts boolean values.\n    - **Caution**: Option incompatible with **profileDetection**.\n- **profileDetection**:\n    - **Summary**: Enables or disables the detection of legal profiles (lawyers and attorneys).\n    - **Compatible mimetypes**:\n\t\t- application/pdf\n    - **License required**: Sensitive Profile Detection License\n    - **Description**: Optional. Accepts boolean values.\n    - **Caution**: Option incompatible with **sensitiveProfileDetection**.\n- **partialMasking**:\n    - **Summary**: Enables or disables partial masking anonymization mode, following AEPD guidelines.\n    - **Description**: Optional. Accepts boolean values. Option compatible with mode **ANON_MASKING** and **PSEUDO_MASKING**\n","example":{"partialMasking":false,"profileDetection":false,"sensitiveProfileDetection":false},"type":"object"},"procedure":{"$ref":"#/definitions/AnonymizationDocumentProcedure","description":"Anonymization procedure."},"whitelist":{"description":"List of positive exceptions, words that will NOT be protected (anonymized or pseudonymized) even if they are detected as personal data.","example":["John","Doe"],"items":{"type":"string"},"type":"array"}},"type":"object"},"AnonymizationDocumentProcedure":{"properties":{"mode":{"description":"Anonymization mode.\n\n- ANON_MASKING: Anonymization by masking/blacklining.\n- ANON_TOKEN: Anonymization by tokenization/classification (\"PER\", \"DAT\", \"PHO\", etc.).\n- ANON_SYNTH: Aanonymization by replacement with synthetic data of the same nature and similar extension.\n- PSEUDO_MASKING: Pseudonymization (reversible process) by masking/blacklining.\n- PSEUDO_TOKENIZATION: Pseudonymization (reversible process) by tokenization (\"PER\", \"DAT\", \"PHO\", etc.).\n- PSEUDO_SYNTH: Pseudonymization (reversible process) by substitution with synthetic data.","enum":["ANON_TOKEN","ANON_MASKING","ANON_SYNTH","PSEUDO_MASKING","PSEUDO_TOKENIZATION","PSEUDO_SYNTH"],"type":"string"},"password":{"description":"Password to securize pseudoanonymization.\n\n **License required:** Pseudoanonymization.\n\n **Requirements**: Must contain at least 6 characters.\n\n **In cases other than anonymization reversal, the field must be left blank.**","example":"ABC123","type":"string"}},"type":"object"},"AnonymizationJsonProcedure":{"properties":{"mode":{"description":"Anonymization mode. ANON_MASKING is the only one allowed, wich anonymizes through masking/blacklining","enum":["ANON_MASKING"],"type":"string"}},"type":"object"},"AnonymizeRequest":{"properties":{"configuration":{"$ref":"#/definitions/AnonymizeRequestConfiguration","description":"Main object containing the settings for database anonymization"}},"type":"object"},"AnonymizeRequestConfiguration":{"properties":{"databaseName":{"description":"Source database name","example":"db_ledger","type":"string"},"dbIp":{"description":"Source database IP or hostname","example":"db.example.com","type":"string"},"jdbcurlFrom":{"description":"Connection string to the source database","example":"jdbc:postgresql://db.example.com:5432/db_ledger","type":"string"},"passwordFrom":{"description":"Source database password","example":"ABC123","type":"string"},"password_token":{"description":"Password to be entered in case of reversible pseudonymization","example":"Revert123","type":"string"},"port":{"description":"Source database port","example":"5432","type":"string"},"tables":{"description":"List of tables to anonymize","items":{"$ref":"#/definitions/TableRequest"},"type":"array"},"type":{"description":"Source database engine/type","example":"postgresql","type":"string"},"useridFrom":{"description":"Source database username","example":"JohnDoe","type":"string"}},"type":"object"},"ApiErrorResponse":{"properties":{"cause":{"description":"Exception Cause","example":"IllegalArgumentException","type":"string"},"code":{"description":"Error code (Optional)","example":"authentication.not.found.user","type":"string"},"error":{"description":"Error","example":"4XX/5XX","type":"string"},"errors":{"items":{"description":"List of Erroneous Fields or Params","example":["must not be null"]},"type":"array"},"exception":{"description":"Exception Message","example":"Validation failed for argument [0]","type":"string"},"message":{"description":"Error Message","example":"Invalid arguments","type":"string"},"status":{"description":"HTTP Status Code","example":400,"format":"int32","type":"integer"},"timestamp":{"description":"Error Timestamp","example":"2025-05-12T13:20:11.018734288","type":"string"}},"type":"object"},"BatchDownloadFileResultRequest":{"properties":{"filename":{"description":"Name of file to download (including extension)","example":"document.pdf","minLength":1,"type":"string"},"key":{"description":"Batch process Id","example":1719,"format":"int64","type":"integer"}},"required":["filename","key"],"type":"object"},"BatchProcessStatusResponse":{"properties":{"batchDescription":{"description":"Batch processing description","example":"Electricity bill subsidies","type":"string"},"deleteDate":{"description":"Date the batch processing was deleted. Can be null","example":"2025-03-31T17:33:32.160+00:00","format":"date-time","type":"string"},"deleted":{"description":"Indicates whether batch processing has been eliminated (true) or not (false)","example":true,"type":"boolean"},"endDate":{"description":"Batch processing end date. Can be null if it has not yet finished","example":"2025-03-27T11:33:32.160+00:00","format":"date-time","type":"string"},"errorFilecount":{"description":"Number of files that failed processing","example":0,"format":"int32","type":"integer"},"expirationDate":{"description":"Batch processing expiration date. Can be null","example":"2025-04-01T11:33:32.160+00:00","format":"date-time","type":"string"},"id":{"description":"Unique identifier of the batch processing","example":12345,"format":"int64","type":"integer"},"startDate":{"description":"Batch processing start date. Can be null if it hasn't started yet","example":"2025-03-27T10:33:32.160+00:00","format":"date-time","type":"string"},"successFilecount":{"description":"Number of files successfully processed","example":4,"format":"int32","type":"integer"},"totalFilecount":{"description":"Total number of files in the batch processing","example":4,"format":"int32","type":"integer"},"totalFilesize":{"description":"Total size of files in batch processing","example":100,"format":"int64","type":"integer"}},"type":"object"},"ColumnDTO":{"properties":{"name":{"description":"Column name","type":"string"},"primaryKey":{"description":"Primary key flag","type":"boolean"},"size":{"description":"Column size","format":"int32","type":"integer"},"type":{"description":"Column type","type":"string"}},"type":"object"},"ColumnRequest":{"properties":{"name":{"description":"Column name","example":"name","type":"string"},"type":{"description":"Column type","example":"varchar","type":"string"}},"type":"object"},"DataEgress":{"properties":{"clusterUuid":{"description":"Cluster UUID","type":"string"},"data":{"description":"Sensitive data","type":"string"},"infotype":{"description":"Infotype of the sensitive data detected","type":"string"},"page":{"description":"Page where the sensitive data was found","format":"int32","type":"integer"},"score":{"description":"Confidence score","format":"float","type":"number"}},"type":"object"},"DataEgressBatchRequest":{"properties":{"config":{"$ref":"#/definitions/EgressConfig","description":"Data Egress settings"},"key":{"description":"Batch process Id","example":1719,"format":"int64","type":"integer"}},"required":["config","key"],"type":"object"},"DataEgressResponse":{"properties":{"dataDetected":{"description":"Sensitive data detected","items":{"$ref":"#/definitions/DataEgress"},"type":"array"},"originData":{"$ref":"#/definitions/OriginDataEgress","description":"Source document information of the detected sensitive data"}},"type":"object"},"DataEgressTextRequest":{"properties":{"config":{"$ref":"#/definitions/EgressConfig"},"nameTextFile":{"description":"Name file","example":"mytext","type":"string"},"text":{"description":"Text to extract sensitive data","example":"My name is John Doe. I live in New York. My phone number is 123-456-7890. I work at Nymiz. My email is johndoe@example.com","minLength":1,"type":"string"}},"required":["config","text"],"type":"object"},"EgressConfig":{"properties":{"blacklist":{"description":"List of words to include from detection.","example":["work","live"],"items":{"type":"string"},"type":"array"},"excluded_entities":{"description":"List of infotypes to exclude from detection. Please refer to the infotypes endpoint '/config/infotypes'.","example":["PER","LOC"],"items":{"type":"string"},"type":"array"},"forceNLPCellByCell":{"description":"For Excel. Enables or disables the cell-by-cell analysis option. If false, Nymiz analyzes a limited number of fields in each column and determines the infotype based on the analyzed samples. All cells in the column and their contents are anonymized. If true, Nymiz analyzes each cell for information to anonymize. It only anonymizes words it deems appropriate.","example":false,"type":"boolean"},"language":{"description":"Language used internally to adapt status or error messages.","example":"es-ES","type":"string"},"profileDetection":{"description":"**License required:** Profile Detection. Enables or disables the detection of legal profiles (lawyers and attorneys). Cannot be enabled (true) simultaneously with sensitiveProfileDetection option.","example":false,"type":"boolean"},"sensitiveProfileDetection":{"description":"**License required:** Sensitive Profile Detection. Enables or disables the detection of sensitive profiles in court records (accused and accuser, for example). Cannot be enabled (true) simultaneously with profileDetection option.)","example":false,"type":"boolean"},"skipHeaderRow":{"description":"For Excel. Avoid anonymizing the first line, which is usually reserved for column names","example":false,"type":"boolean"},"whitelist":{"description":"List of words to exclude in detection.","example":["John","Doe"],"items":{"type":"string"},"type":"array"}},"type":"object"},"FileListResponse":{"properties":{"detail":{"description":"File status details","example":"OK","type":"string"},"fileName":{"description":"File name","example":"filename.pdf","type":"string"},"filePageCount":{"description":"Number of pages in the file","example":4,"format":"int32","type":"integer"},"id":{"description":"Unique identifier of the file within the batch","example":1,"format":"int64","type":"integer"},"idBatchProcess":{"description":"Unique identifier of the batch processing to which the file belongs","example":1,"format":"int64","type":"integer"},"manualSupervisionUuid":{"description":"UUID of the manual monitoring session","example":"acde070d-8c4c-4f0d-9d8a-162843c10333","type":"string"},"outputBucketFullpath":{"description":"Full path of the processed file in the output bucket","example":"subfolder/filename.pdf","type":"string"},"processedDate":{"description":"Date and time the file was processed","example":"2025-03-27T10:33:32.160+00:00","format":"date-time","type":"string"},"result":{"description":"Result of file processing","example":"OK","type":"string"},"supervisable":{"description":"Indicates whether the file is suitable for manual monitoring","example":true,"type":"boolean"},"supervisedDate":{"description":"Date and time the file was monitored","example":"2025-03-27T10:33:32.160+00:00","format":"date-time","type":"string"},"supervisionConfigured":{"type":"boolean"},"supervisionFinished":{"type":"boolean"}},"type":"object"},"ManualSupervisionEmbeddedAsyncRequest":{"properties":{"filename":{"description":"Name of the file to be supervised","example":"myfile.pdf","minLength":1,"type":"string"},"idBatchProcess":{"description":"Batch process ID","example":1,"format":"int32","type":"integer"},"language":{"description":"Language used internally to adapt status or error messages","example":"es-ES","type":"string"},"manualSupervisionUuid":{"description":"Manual supervision UUID","example":"395d9c-c3f1-4c5b-b9b4-a9b3e7c9b3e7","minLength":1,"type":"string"}},"required":["filename","manualSupervisionUuid"],"type":"object"},"NymizDBExceptionResponse":{"properties":{"error":{"description":"Status text","example":"Bad Request","type":"string"},"message":{"description":"Exception Message","example":"Validation failed for argument [0]","type":"string"},"path":{"description":"Called URL path","example":"/anonymizer/anonymize","type":"string"},"status":{"description":"Status","example":"400","type":"string"},"timestamp":{"description":"Error Timestamp","example":"2025-05-12T13:20:11.018734288","type":"string"}},"type":"object"},"NymizExceptionResponse":{"properties":{"error":{"description":"Error","example":"4XX/5XX","type":"string"},"message":{"description":"Exception Message","example":"Validation failed for argument [0]","type":"string"},"path":{"description":"Called URL path","example":"/anonymizer/anonymize","type":"string"},"timestamp":{"description":"Error Timestamp","example":"2025-05-12T13:20:11.018734288","type":"string"}},"type":"object"},"OriginDataEgress":{"properties":{"mediatype":{"description":"Media type of the source document","type":"string"},"name":{"description":"Name of the source document","type":"string"},"numPagesProcessed":{"description":"Number of pages processed","format":"int32","type":"integer"}},"type":"object"},"PasswordUpdateDto":{"properties":{"password":{"description":"New user password","example":"ABCD1234","maxLength":32,"minLength":6,"pattern":"^[^\\s]*\\d[^\\s]*$","type":"string"}},"required":["password"],"type":"object"},"RevertAnonymizationConfigRequest":{"properties":{"procedure":{"$ref":"#/definitions/RevertAnonymizationProcedure"}},"type":"object"},"RevertAnonymizationProcedure":{"properties":{"mode":{"description":"Revert mode. REVERT is the only one allowed","enum":["REVERT"],"type":"string"},"password":{"description":"Password to reverse anonymization.\n\n **License required:** Pseudoanonymization.\n\n **Requirements**: Must contain at least 6 characters.\n\n **In cases other than anonymization reversal, the field must be left blank.**","example":"ABC123","type":"string"}},"type":"object"},"RevertColumnRequest":{"properties":{"configuration":{"$ref":"#/definitions/RevertColumnRequestConfiguration","description":"Main object containing the settings for database column reversion"}},"type":"object"},"RevertColumnRequestConfiguration":{"properties":{"column":{"description":"Lookup column name","example":"name","type":"string"},"cypherText":{"description":"Cypher word to search for","example":"LOC01","type":"string"},"databaseName":{"description":"Source database name","example":"db_ledger","type":"string"},"dbIp":{"description":"Source database IP or hostname","example":"db.example.com","type":"string"},"jdbcurlFrom":{"description":"Connection string to the source database","example":"jdbc:postgresql://db.example.com:5432/db_ledger","type":"string"},"passwordFrom":{"description":"Source database password","example":"ABC123","type":"string"},"password_token":{"description":"Password set for the reversion of the pseudonymization","example":"Revert123","type":"string"},"port":{"description":"Source database port","example":"5432","type":"string"},"table":{"description":"Lookup table name","example":"simulated_data","type":"string"},"type":{"description":"Source database engine/type","example":"postgresql","type":"string"},"useridFrom":{"description":"Source database username","example":"JohnDoe","type":"string"}},"type":"object"},"RevertRequest":{"properties":{"configuration":{"$ref":"#/definitions/RevertRequestConfiguration","description":"Main object containing the settings for database reversion"}},"type":"object"},"RevertRequestConfiguration":{"properties":{"databaseName":{"description":"Source database name","example":"db_ledger","type":"string"},"dbIp":{"description":"Source database IP or hostname","example":"db.example.com","type":"string"},"jdbcurlFrom":{"description":"Connection string to the source database","example":"jdbc:postgresql://db.example.com:5432/db_ledger","type":"string"},"passwordFrom":{"description":"Source database password","example":"ABC123","type":"string"},"password_token":{"description":"Password set for the reversion of the pseudonymization","example":"Revert123","type":"string"},"port":{"description":"Source database port","example":"5432","type":"string"},"schema":{"description":"Source database schema","example":"public","type":"string"},"type":{"description":"Source database engine/type","example":"postgresql","type":"string"},"useridFrom":{"description":"Source database username","example":"JohnDoe","type":"string"}},"type":"object"},"RevertSingleColumnResponseDTO":{"properties":{"column":{"description":"Lookup column name","example":"name","type":"string"},"cypherText":{"description":"Cypher word to search for","example":"LOC01","type":"string"},"jdbc":{"description":"Connection string to the source database","example":"jdbc:postgresql://db.example.com:5432/db_ledger","type":"string"},"plainText":{"description":"Reversed text","example":"Madrid","type":"string"},"table":{"description":"Lookup table name","example":"simulated_data","type":"string"}},"type":"object"},"SchemeDTO":{"properties":{"jdbcUrl":{"description":"The database url","type":"string"},"name":{"description":"Database name","type":"string"},"tables":{"additionalProperties":{"$ref":"#/definitions/TableDTO"},"description":"Tables in the database","type":"object"}},"type":"object"},"SignInRequest":{"properties":{"password":{"description":"User password.","example":"ABCD1234","maxLength":32,"minLength":8,"type":"string"},"username":{"description":"User email.","example":"johndoe@example.com","format":"email","maxLength":128,"minLength":0,"type":"string"}},"required":["password","username"],"type":"object"},"SignInResponse":{"properties":{"email":{"description":"User email.","example":"johndoe@example.com","type":"string"},"id":{"description":"User ID.","example":"1","type":"string"},"idCustomer":{"description":"ID of the customer to which the user belongs.","example":1,"format":"int32","type":"integer"},"idLicense":{"description":"License ID.","example":1,"format":"int32","type":"integer"},"idProduct":{"description":"Product ID.","example":1,"format":"int32","type":"integer"},"nameSurname":{"description":"User's first and last name.","example":"John Doe","type":"string"},"reachableRoles":{"description":"User reachable roles.","example":["ROLE_USER"],"items":{"type":"string"},"type":"array"},"roles":{"description":"User roles.","example":["ROLE_USER"],"items":{"type":"string"},"type":"array"},"status":{"description":"User status.","example":true,"type":"boolean"},"token":{"description":"Security token to be able to use the API.","example":"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiYWRtaW4iOnRydWUsImlhdCI6MTUxNjIzOTAyMn0.KMUFsIDTnFmyG3nMiGM6H9FNFUROf3wh7SmqJp-QV30","type":"string"},"type":{"description":"Security token type.","example":"Bearer","type":"string"},"verification":{"description":"User email confirmation.","example":true,"type":"boolean"}},"type":"object"},"TableDTO":{"properties":{"columns":{"additionalProperties":{"$ref":"#/definitions/ColumnDTO"},"description":"Table columns","type":"object"},"name":{"description":"Table name","type":"string"},"pk":{"description":"Table contains primary key flag","type":"boolean"}},"type":"object"},"TableRequest":{"properties":{"columns":{"description":"List of columns within the table to be anonymized","items":{"$ref":"#/definitions/ColumnRequest"},"type":"array"},"name":{"description":"Table name","example":"simulated_data","type":"string"}},"type":"object"},"TeamDto":{"properties":{"id":{"description":"Unique identifier of the equipment.","example":1,"format":"int32","readOnly":true,"type":"integer"},"idCustomer":{"description":"Identifier of the client to whom the team belongs.","example":1,"format":"int32","type":"integer"},"managers":{"description":"Array containing the IDs of the users you want to add to the team as managers. They must have the MANAGER role and can also be team members.","items":{"$ref":"#/definitions/UserDto"},"type":"array","uniqueItems":true},"members":{"description":"Array with the ids of the users you want to add to the team.","items":{"$ref":"#/definitions/UserDto"},"type":"array","uniqueItems":true},"name":{"description":"Team name.","example":"HR department","type":"string"}},"type":"object"},"TeamRequestDto":{"properties":{"managers":{"description":"Array containing the IDs of the users you want to add to the team as managers. They must have the MANAGER role and can also be team members.","example":[1,2,3],"items":{"format":"int32","type":"integer"},"type":"array","uniqueItems":true},"members":{"description":"Array with the ids of the users you want to add to the team.","example":[1,2,3],"items":{"format":"int32","type":"integer"},"type":"array","uniqueItems":true},"name":{"description":"Team name.","example":"HR department","maxLength":100,"minLength":1,"pattern":".*[A-Za-z0-9].*","type":"string"}},"required":["name"],"type":"object"},"TypologyResponse":{"properties":{"enabled":{"description":"infotype is enabled flag","example":true,"type":"boolean"},"id":{"description":"infotype Id","example":1,"format":"int32","type":"integer"},"nameInfotype":{"description":"infotype name","example":"PLA_ES","type":"string"},"private":{"type":"boolean"},"token":{"description":"infotype token to use when replacing sensitive data","example":"PLA","type":"string"}},"type":"object"},"UploadBatchResponse":{"properties":{"file_name":{"description":"File name with the path of loaded subfolders","example":"path_to_file/file_name.pdf","type":"string"}},"type":"object"},"UsageResponseDto":{"description":"DTO representing the usage response with file and user information","properties":{"createDate":{"description":"Record creation date","example":"2024-06-01T12:00:00Z","format":"date-time","type":"string"},"customerId":{"description":"Customer ID","example":456,"format":"int32","type":"integer"},"customerName":{"description":"Customer name","example":"Company XYZ","type":"string"},"email":{"description":"User email address","example":"user@example.com","type":"string"},"fileExtension":{"description":"File extension","example":"pdf","type":"string"},"fileMimetype":{"description":"File MIME type","example":"application/pdf","type":"string"},"fileName":{"description":"File name","example":"document.pdf","type":"string"},"filePageCount":{"description":"Number of pages in the file","example":10,"format":"int32","type":"integer"},"fileSize":{"description":"File size in Bytes","example":2,"format":"int32","type":"integer"},"mode":{"description":"Processing mode","example":"ANON_MASKING","type":"string"},"options":{"additionalProperties":{"type":"boolean"},"description":"Processing options with boolean values","type":"object"},"processType":{"description":"Type of process performed","example":"DOCUMENTS_SYNCH","type":"string"},"userId":{"description":"User ID","example":123,"format":"int32","type":"integer"}},"type":"object"},"UserCreateDto":{"properties":{"email":{"description":"User email","example":"johndoe@example.com","format":"email","maxLength":128,"minLength":0,"type":"string"},"name":{"description":"User name","example":"John","maxLength":100,"minLength":0,"type":"string"},"password":{"description":"User password","example":"ABCD1234","maxLength":32,"minLength":6,"pattern":"^[^\\s]*\\d[^\\s]*$","type":"string"},"roleName":{"description":"Role name","enum":["ROLE_USER","ROLE_MANAGER","ROLE_ADMIN"],"type":"string"},"surnames":{"description":"User surnames","example":"Doe","maxLength":100,"minLength":0,"type":"string"}},"required":["email","name","password","surnames"],"type":"object"},"UserDto":{"properties":{"access":{"description":"User access","example":true,"type":"boolean"},"email":{"description":"User email","example":"johndoe@example.com","type":"string"},"id":{"description":"Unique identifier of the user.","example":1,"format":"int32","readOnly":true,"type":"integer"},"name":{"description":"User name","example":"John","type":"string"},"position":{"description":"User position","example":"Employee","type":"string"},"roleName":{"description":"User role name","example":"ROLE_USER","type":"string"},"surnames":{"description":"User surnames","example":"Doe","type":"string"}},"type":"object"},"UserUpdateDto":{"properties":{"name":{"description":"User name","example":"John","maxLength":100,"minLength":0,"type":"string"},"roleName":{"description":"Role name","enum":["ROLE_USER","ROLE_MANAGER","ROLE_ADMIN"],"example":"ROLE_USER","type":"string"},"surnames":{"description":"User surnames","example":"Doe","maxLength":100,"minLength":0,"type":"string"}},"required":["name","surnames"],"type":"object"}},"securityDefinitions":{"Bearer":{"description":"### Steps for Authorization:\n1. **Obtain Token:** Make a POST request to endpoint `/auth/signin` with your username/password credentials.\n2. **Copy:** Copy the value of the `token` field from the response.\n3. **Paste:** Paste the token into the field below (without the 'Bearer' prefix).","in":"header","name":"Authorization","type":"apiKey","x-ibm-bearer-validation-method":"none"},"clientID":{"in":"header","name":"X-IBM-Client-Id","type":"apiKey"}},"security":[{"clientID":[]}],"tags":[{"description":"Usage metrics and analytics operations","name":"Usage Metrics and Analytics","x-displayName":"Usage Metrics and Analytics"},{"description":"Docs Anonymization operations","name":"Document Anonymization","x-displayName":"Document Anonymization"},{"description":"Text Anonymization operations","name":"Text Anonymization","x-displayName":"Text Anonymization"},{"description":"JSON Anonymization operations","name":"JSON Anonymization","x-displayName":"JSON Anonymization"},{"description":"Manual supervision embedded viewer","name":"Manual Supervision","x-displayName":"Manual Supervision"},{"description":"Sensitive information data egress","name":"Data Egress","x-displayName":"Data Egress"},{"description":"Sensitive information data egress via batch processing","name":"Data Egress Batch Processing","x-displayName":"Data Egress Batch Processing"},{"description":"Batch Process based anonymization operations","name":"Batch Processing","x-displayName":"Batch Processing"},{"description":"Anonymizes, pseudoanonymizes or reverts a relational database data","name":"Relational Database Anonymization","x-displayName":"Relational Database Anonymization"},{"description":"Infotypes management operations","name":"Infotypes Management","x-displayName":"Infotypes Management"},{"description":"Authentication","name":"Authentication","x-displayName":"Authentication"},{"description":"Teams management operations","name":"Teams Management","x-displayName":"Teams Management"},{"description":"User management operations","name":"Users Management","x-displayName":"Users Management"}],"x-components":{},"x-ibm-configuration":{"activity-log":{"enabled":true,"error-content":"payload","success-content":"payload"},"application-authentication":{"certificate":false},"assembly":{"execute":[{"set-variable":{"actions":[{"set":"message.headers.authorization","type":"string","value":"$(request.headers.authorization)"}],"title":"set-variable","version":"2.0.0"}},{"invoke":{"follow-redirects":false,"header-control":{"type":"blocklist","values":[]},"inject-proxy-headers":true,"parameter-control":{"type":"blocklist","values":[]},"target-url":"$(target-url)$(api.operation.path)","timeout":60,"title":"invoke","verb":"keep","version":"2.0.0"}}]},"buffering":true,"catalogs":{"public":{"properties":{"target-url":"https://api.anonimitzador.sta.extranet.gencat.cat"}},"public-pre":{"properties":{"target-url":"https://api.anonimitzador.sta.extranet.gencat.cat"}}},"categories":["3670","3670/anonimitzador"],"cors":{"enabled":true},"enforced":true,"gateway":"datapower-api-gateway","oauth-servers":[],"phase":"realized","properties":{"target-url":{"description":"The URL of the target service","encoded":false,"value":"https://api.anonimitzador.sta.extranet.gencat.cat"}},"testable":true,"type":"rest"}}